org.apache.ignite.internal.mxbean

## Class IgniteStandardMXBean

- java.lang.Object
- - javax.management.StandardMBean
  - - org.apache.ignite.internal.mxbean.IgniteStandardMXBean

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration

    public class IgniteStandardMXBean
    extends StandardMBean

Extension of standard Java MBean. Overrides some hooks to return annotation based descriptions.

### Constructor Summary

Constructors
Constructor and Description
`IgniteStandardMXBean(T implementation, Class<T> mbeanInterface)` Make a DynamicMBean out of the object implementation, using the specified mbeanInterface class.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getDescription(MBeanAttributeInfo info)`
`protected String` `getDescription(MBeanInfo info)`
`protected String` `getDescription(MBeanOperationInfo info)`
`protected String` `getDescription(MBeanOperationInfo op, MBeanParameterInfo param, int seq)`
`protected String` `getParameterName(MBeanOperationInfo op, MBeanParameterInfo param, int seq)`

### Methods inherited from class javax.management.StandardMBean

`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteStandardMXBean

    public IgniteStandardMXBean(T implementation,
                                Class<T> mbeanInterface)
                         throws NotCompliantMBeanException

Make a DynamicMBean out of the object implementation, using the specified mbeanInterface class.

Parameters:
  `implementation` - The implementation of this MBean.
  `mbeanInterface` - The Management Interface exported by this MBean's implementation. If `null`, then this object will use standard JMX design pattern to determine the management interface associated with the given implementation. If `null` value passed then information will be built by `StandardMBean`
Throws:
  `NotCompliantMBeanException` - if the `mbeanInterface` does not follow JMX design patterns for Management Interfaces, or if the given `implementation` does not implement the specified interface.

### Method Detail

#### getDescription

    protected String getDescription(MBeanAttributeInfo info)

Overrides:
  `getDescription` in class `StandardMBean`

#### getDescription

    protected String getDescription(MBeanInfo info)

Overrides:
  `getDescription` in class `StandardMBean`

#### getDescription

    protected String getDescription(MBeanOperationInfo info)

Overrides:
  `getDescription` in class `StandardMBean`

#### getDescription

    protected String getDescription(MBeanOperationInfo op,
                                    MBeanParameterInfo param,
                                    int seq)

Overrides:
  `getDescription` in class `StandardMBean`

#### getParameterName

    protected String getParameterName(MBeanOperationInfo op,
                                      MBeanParameterInfo param,
                                      int seq)

Overrides:
  `getParameterName` in class `StandardMBean`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020